Subject: Re: [PATCH] remove noise and inaccuracies from git-svn docs

From: Michael J Gruber <[email-masked]>
Date: Tue, 19 Apr 2011 13:19:32 +0200

Stefan Sperling venit, vidit, dixit 19.04.2011 11:31:
> On Mon, Apr 18, 2011 at 10:55:18AM -0700, Junio C Hamano wrote:
>> Matthieu Moy <[email-masked]> writes:
>>
>>> Stefan Sperling <[email-masked]> writes:
>>>
>>>> -DESIGN PHILOSOPHY
>>>> ------------------
>>>> -Merge tracking in Subversion is lacking and doing branched development
>>>> -with Subversion can be cumbersome as a result.  While 'git svn' can
>>>> track
>>>
>>> Agreed (this and the rest of the patch). Users reading git-svn's doc
>>> don't want a dissertation about how bad SVN is, and if they do, they can
>>> read whygitisbetterthanx ;-)
> 
> Exactly :)
> 
> And they might rather want to learn more about how Subversion has improved
> since version 1.4. It seems that these parts of the text were written
> before Subversion's 1.5 release. SVN is a lot more capable now than the
> git-svn docs suggest and I'm surprised that git-svn's development seems
> to have gotten stuck at the 1.4 level of functionality. Not even CentOS
> ships with 1.4 anymore these days.
> 
> E.g. git-svn could be taught to generate svn mergeinfo compatible with other
> Subversion clients. It's not easy to come up with a generic mapping between
> the two systems but for some use cases it should be reasonably straightforward.
> This would be a nice improvement towards making git-svn a proper drop-in
> replacement for the standard svn client. Currently, git-svn cannot be
> used without disturbing other users doing merges with Subversion itself
> which is a pity.

6abd933 (git-svn: allow the mergeinfo property to be set, 2010-09-24)

made a first step in that direction so that you can at least add
mergeinfo manually. But, git-svn.perl is basically in maintenance mode
it seems, and more work is being done to implement a new svn remote helper.

Also, I think merge tracking wasn't that reliable in svn 1.5 before svn
1.6, and we try to support older versions. In particular, we want to
support the versions on typical svn hosting sites which are not always
that recent.

> 
> I don't have time to work on this myself but I would be more than happy
> to assist with design and review.
> 
>> I agree the change in the patch is good.  It needs to be signed-off,
>> though.
> 
> I've sent a signed-off version with git send-email. Thanks!